options {
	directory 	"/var/named";
	dump-file 	"/var/named/data/cache_dump.db";
	statistics-file "/var/named/data/named_stats.txt";
	memstatistics-file "/var/named/data/named_mem_stats.txt";
	recursion yes;
	allow-recursion { any; };
	bindkeys-file "/etc/named.iscdlv.key";
	managed-keys-directory "/var/named/dynamic";
	pid-file "/run/named/named.pid";
	session-keyfile "/run/named/session.key";
};

logging {
	channel query-log {
  	file "data/named_query.log" versions 10 size 1000m;
    severity info;
    print-time yes;
  };
  category queries { query-log; };
};

view "nopass" { 
	match-clients { "unpaid"; };
	zone "."                       IN { type master; file "internal/named-login.jpo"; };
};

view "pass" { 
	match-clients { "paid"; };
	zone "."                       IN { type hint; file "named.ca"; };
	zone "123.cn"                  IN { type master; file "internal/named.jpo"; };

	zone "0058.com"                IN { type master; file "internal/named.jpo"; };
	zone "17kds.net"               IN { type master; file "internal/named.jpo"; };
	zone "197c.com"                IN { type master; file "internal/named.jpo"; };
	zone "360.cn"                  IN { type master; file "internal/named.jpo"; };
	zone "info.3g.qq.com"          IN { type master; file "internal/named.jpo"; };
	zone "51.com"                  IN { type master; file "internal/named.jpo"; };
	zone "51gaoqing.com"           IN { type master; file "internal/named.jpo"; };
	zone "56.com"                  IN { type master; file "internal/named.jpo"; };
	zone "6.cn"                    IN { type master; file "internal/named.jpo"; };
	zone "69xiu.com"               IN { type master; file "internal/named.jpo"; };
	zone "91.com"                  IN { type master; file "internal/named.jpo"; };
	zone "9158.com"                IN { type master; file "internal/named.jpo"; };
	zone "91kds.net"               IN { type master; file "internal/named.jpo"; };
	zone "9game.cn"                IN { type master; file "internal/named.jpo"; };
	zone "9see.com"                IN { type master; file "internal/named.jpo"; };
	zone "ahtv.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "aipai.com"               IN { type master; file "internal/named.jpo"; };
	zone "akamaihd.net"            IN { type master; file "internal/named.jpo"; };
	zone "anruan.com"              IN { type master; file "internal/named.jpo"; };
	zone "anzhi.com"               IN { type master; file "internal/named.jpo"; };
	zone "appchina.com"            IN { type master; file "internal/named.jpo"; };
	zone "as.baidu.com"            IN { type master; file "internal/named.jpo"; };
	zone "audiocn.org"             IN { type master; file "internal/named.jpo"; };
	zone "bale.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "baofeng.com"             IN { type master; file "internal/named.jpo"; };
	zone "baoku.baidu.com"         IN { type master; file "internal/named.jpo"; };
	zone "baomihua.com"            IN { type master; file "internal/named.jpo"; };
	zone "brtn.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "changba.com"             IN { type master; file "internal/named.jpo"; };
	zone "cntv.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "cuctv.com"               IN { type master; file "internal/named.jpo"; };
	zone "cztv.com"                IN { type master; file "internal/named.jpo"; };
	zone "diantai.ifeng.com"       IN { type master; file "internal/named.jpo"; };
	zone "doshow.com.cn"           IN { type master; file "internal/named.jpo"; };
	zone "dragontv.cn"             IN { type master; file "internal/named.jpo"; };
	zone "duapp.com"               IN { type master; file "internal/named.jpo"; };
	zone "duomi.com"               IN { type master; file "internal/named.jpo"; };
	zone "dytt8.net"               IN { type master; file "internal/named.jpo"; };
	zone "eoemarket.com"           IN { type master; file "internal/named.jpo"; };
	zone "fengyunzhibo.com"        IN { type master; file "internal/named.jpo"; };
	zone "fun.tv"                  IN { type master; file "internal/named.jpo"; };
	zone "funshion.com"            IN { type master; file "internal/named.jpo"; };
	zone "g.qq.com"                IN { type master; file "internal/named.jpo"; };
	zone "gdtv.com.cn"             IN { type master; file "internal/named.jpo"; };
	zone "goapk.com"               IN { type master; file "internal/named.jpo"; };
	zone "guoshi.com"              IN { type master; file "internal/named.jpo"; };
	zone "hiapk.com"               IN { type master; file "internal/named.jpo"; };
	zone "hljtv.com"               IN { type master; file "internal/named.jpo"; };
	zone "hunantv.com"             IN { type master; file "internal/named.jpo"; };
	zone "imgo.tv"                 IN { type master; file "internal/named.jpo"; };
	zone "iqilu.com"               IN { type master; file "internal/named.jpo"; };
	zone "iqiyi.com"               IN { type master; file "internal/named.jpo"; };
	zone "joy.cn"                  IN { type master; file "internal/named.jpo"; };
	zone "jstv.com"                IN { type master; file "internal/named.jpo"; };
	zone "kankan.com"              IN { type master; file "internal/named.jpo"; };
	zone "kascend.com"             IN { type master; file "internal/named.jpo"; };
	zone "kktv1.com"               IN { type master; file "internal/named.jpo"; };
	zone "ku6.com"                 IN { type master; file "internal/named.jpo"; };
	zone "kugou.com"               IN { type master; file "internal/named.jpo"; };
	zone "kumi.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "kuwo.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "letv.com"                IN { type master; file "internal/named.jpo"; };
	zone "lxdns.com"               IN { type master; file "internal/named.jpo"; };
	zone "m1905.com"               IN { type master; file "internal/named.jpo"; };
	zone "migu.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "music.baidu.com"         IN { type master; file "internal/named.jpo"; };
	zone "myapp.com"               IN { type master; file "internal/named.jpo"; };
	zone "pps.tv"                  IN { type master; file "internal/named.jpo"; };
	zone "pptv.com"                IN { type master; file "internal/named.jpo"; };
	zone "qingting.fm"             IN { type master; file "internal/named.jpo"; };
	zone "qingtingfm.com"          IN { type master; file "internal/named.jpo"; };
	zone "show.sina.com.cn"        IN { type master; file "internal/named.jpo"; };
	zone "sinashow.com"            IN { type master; file "internal/named.jpo"; };
	zone "sinovision.net"          IN { type master; file "internal/named.jpo"; };
	zone "sjzhushou.com"           IN { type master; file "internal/named.jpo"; };
	zone "smgbb.tv"                IN { type master; file "internal/named.jpo"; };
	zone "stadig.ifeng.com"        IN { type master; file "internal/named.jpo"; };
	zone "tangdou.com"             IN { type master; file "internal/named.jpo"; };
	zone "tudou.com"               IN { type master; file "internal/named.jpo"; };
	zone "tv.sohu.com"             IN { type master; file "internal/named.jpo"; };
	zone "tv189.com"               IN { type master; file "internal/named.jpo"; };
	zone "tvb.com"                 IN { type master; file "internal/named.jpo"; };
	zone "tvmao.com"               IN { type master; file "internal/named.jpo"; };
	zone "ucatv.com.cn"            IN { type master; file "internal/named.jpo"; };
	zone "v.baidu.com"             IN { type master; file "internal/named.jpo"; };
	zone "v.html5.qq.com"          IN { type master; file "internal/named.jpo"; };
	zone "v.ifeng.com"             IN { type master; file "internal/named.jpo"; };
	zone "v.qq.com"                IN { type master; file "internal/named.jpo"; };
	zone "v1.cn"                   IN { type master; file "internal/named.jpo"; };
	zone "vanchu.net"              IN { type master; file "internal/named.jpo"; };
	zone "verycd.com"              IN { type master; file "internal/named.jpo"; };
	zone "video.baidu.com"         IN { type master; file "internal/named.jpo"; };
	zone "video.qq.com"            IN { type master; file "internal/named.jpo"; };
	zone "video.sina.cn"           IN { type master; file "internal/named.jpo"; };
	zone "video.sina.com.cn"       IN { type master; file "internal/named.jpo"; };
	zone "vmovier.com"             IN { type master; file "internal/named.jpo"; };
	zone "wandoujia.com"           IN { type master; file "internal/named.jpo"; };
	zone "wasu.cn"                 IN { type master; file "internal/named.jpo"; };
	zone "wdjcdn.com"              IN { type master; file "internal/named.jpo"; };
	zone "weishi.com"              IN { type master; file "internal/named.jpo"; };
	zone "woxiu.com"               IN { type master; file "internal/named.jpo"; };
	zone "xiu8.com"                IN { type master; file "internal/named.jpo"; };
	zone "xunlei.com"              IN { type master; file "internal/named.jpo"; };
	zone "y.qq.com"                IN { type master; file "internal/named.jpo"; };
	zone "y80s.net"                IN { type master; file "internal/named.jpo"; };
	zone "yaakuu.com"              IN { type master; file "internal/named.jpo"; };
	zone "youku.com"               IN { type master; file "internal/named.jpo"; };
	zone "youshow.cn"              IN { type master; file "internal/named.jpo"; };
	zone "yy.com"                  IN { type master; file "internal/named.jpo"; };
	zone "yyets.com"               IN { type master; file "internal/named.jpo"; };
	zone "yymommy.com"             IN { type master; file "internal/named.jpo"; };
	zone "zjstv.com"               IN { type master; file "internal/named.jpo"; };
	zone "aaa"                     IN { type master; file "internal/named.jpo"; };

	include "/etc/named.rfc1912.zones";

};

acl unpaid { ! "paid"; any; };

acl paid {
192.168.100.104; 
/* following lines will be gened by w5.php
192.168.100.109; 
};
*/
